Module java.base
Package java.util.function

# Interface IntBinaryOperator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IntBinaryOperator
Represents an operation upon two `int`-valued operands and producing an `int`-valued result. This is the primitive type specialization of `BinaryOperator` for `int`.

This is a functional interface whose functional method is `applyAsInt(int, int)`.

Since:
  1.8
See Also:
  `BinaryOperator`, `IntUnaryOperator`

## Method Summary

Modifier and Type
Method
Description
`int`
`applyAsInt​(int left, int right)`
Applies this operator to the given operands.

## Method Details

### applyAsInt

int applyAsInt​(int left, int right)
Applies this operator to the given operands.

Parameters:
  `left` - the first operand
  `right` - the second operand
Returns:
  the operator result